src/base/cs_base.h File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Typedefs | Functions
cs_base.h File Reference

Go to the source code of this file.

## Macros
#define | CS_APP_NAME "Code_Saturne"
#define | CS_APP_VERSION PACKAGE_VERSION /* PACKAGE_VERSION from autoconf */
#define | CS_MEM_ALIGN 0

## Typedefs
typedef void( | cs_base_atexit_t )(void)

## Functions
char * | cs_base_get_app_name (int argc, const char *argv[])
void | cs_base_logfile_head (int argc, char *argv[])
void | cs_exit (int status)
void | cs_base_error_init (void)
void | cs_base_mem_init (void)
void | cs_base_mem_finalize (void)
void | cs_base_time_summary (void)
void | cs_base_bft_printf_init (const char *log_name, int r0_log_flag, int rn_log_flag)
void | cs_base_bft_printf_set (const char *log_name, int r0_log_flag, int rn_log_flag)
const char * | cs_base_bft_printf_name (void)
bool | cs_base_bft_printf_suppressed (void)
void | cs_base_warn (const char *file_name, int line_num)
void | cs_base_atexit_set (cs_base_atexit_t *const fct)
char * | cs_base_string_f_to_c_create (const char *f_str, int f_len)
void | cs_base_string_f_to_c_free (char **c_str)
void | cs_base_option_string_clean (char *s)
const char * | cs_base_get_localedir (void)
const char * | cs_base_get_pkgdatadir (void)
const char * | cs_base_get_pkglibdir (void)

## Macro Definition Documentation

#define CS_APP_NAME "Code_Saturne"

#define CS_APP_VERSION PACKAGE_VERSION /* PACKAGE_VERSION from autoconf */

#define CS_MEM_ALIGN 0

## Typedef Documentation

typedef void( cs_base_atexit_t)(void)

## Function Documentation

void cs_base_atexit_set | ( | cs_base_atexit_t *const | fct | ) |

void cs_base_bft_printf_init | ( | const char * | log_name,
|  | int | r0_log_flag,
|  | int | rn_log_flag
| ) |  |

const char* cs_base_bft_printf_name | ( | void |  | ) |

void cs_base_bft_printf_set | ( | const char * | log_name,
|  | int | r0_log_flag,
|  | int | rn_log_flag
| ) |  |

bool cs_base_bft_printf_suppressed | ( | void |  | ) |

void cs_base_error_init | ( | void |  | ) |

char* cs_base_get_app_name | ( | int | argc,
|  | const char * | argv[]
| ) |  |

const char* cs_base_get_localedir | ( | void |  | ) |

const char* cs_base_get_pkgdatadir | ( | void |  | ) |

const char* cs_base_get_pkglibdir | ( | void |  | ) |

void cs_base_logfile_head | ( | int | argc,
|  | char * | argv[]
| ) |  |

void cs_base_mem_finalize | ( | void |  | ) |

void cs_base_mem_init | ( | void |  | ) |

void cs_base_option_string_clean | ( | char * | s | ) |

char* cs_base_string_f_to_c_create | ( | const char * | f_str,
|  | int | f_len
| ) |  |

void cs_base_string_f_to_c_free | ( | char ** | c_str | ) |

void cs_base_time_summary | ( | void |  | ) |

void cs_base_warn | ( | const char * | file_name,
|  | int | line_num
| ) |  |

void cs_exit | ( | int | status | ) |